libstdc++: std::piecewise_constant_distribution< _RealType >::param_type Struct Reference

libstdc++

std::piecewise_constant_distribution< _RealType >::param_type Struct Reference

`#include <random.h>`

## Public Types
typedef piecewise_constant_distribution< _RealType > | distribution_type

## Public Member Functions
template<typename _InputIteratorB, typename _InputIteratorW>
| param_type (_InputIteratorB __bfirst, _InputIteratorB __bend, _InputIteratorW __wbegin)
| param_type (const param_type &)=default
template<typename _Func>
| param_type (initializer_list< _RealType > __bi, _Func __fw)
template<typename _Func>
| param_type (size_t __nw, _RealType __xmin, _RealType __xmax, _Func __fw)
std::vector< double > | densities () const
std::vector< _RealType > | intervals () const
param_type & | operator= (const param_type &)=default

## Friends
template<typename _RealType1, typename _CharT, typename _Traits>
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &, const std::piecewise_constant_distribution< _RealType1 > &)
bool | operator== (const param_type &__p1, const param_type &__p2)
class | piecewise_constant_distribution< _RealType >

## Detailed Description

template<typename _RealType = double>
struct std::piecewise_constant_distribution< _RealType >::param_type

Parameter type.

Definition at line 6439 of file random.h.

## Member Typedef Documentation

## ◆ distribution_type

template<typename _RealType = double>

typedef piecewise_constant_distribution<_RealType> std::piecewise_constant_distribution< _RealType >::param_type::distribution_type

Definition at line 6441 of file random.h.

## Constructor & Destructor Documentation

## ◆ param_type() [1/4]

template<typename _RealType = double>

std::piecewise_constant_distribution< _RealType >::param_type::param_type | ( |  | ) |
| inline

Definition at line 6444 of file random.h.

## ◆ param_type() [2/4]

template<typename _RealType>
template<typename _InputIteratorB, typename _InputIteratorW>

std::piecewise_constant_distribution< _RealType >::param_type::param_type | ( | _InputIteratorB | __bfirst,
|  | _InputIteratorB | __bend,
|  | _InputIteratorW | __wbegin )

Definition at line 3010 of file bits/random.tcc.

## ◆ param_type() [3/4]

template<typename _RealType>
template<typename _Func>

std::piecewise_constant_distribution< _RealType >::param_type::param_type | ( | initializer_list< _RealType > | __bi,
|  | _Func | __fw )

Definition at line 3053 of file bits/random.tcc.

## ◆ param_type() [4/4]

template<typename _RealType>
template<typename _Func>

std::piecewise_constant_distribution< _RealType >::param_type::param_type | ( | size_t | __nw,
|  | _RealType | __xmin,
|  | _RealType | __xmax,
|  | _Func | __fw )

Definition at line 3078 of file bits/random.tcc.

## Member Function Documentation

## ◆ densities()

template<typename _RealType = double>

std::vector< double > std::piecewise_constant_distribution< _RealType >::param_type::densities | ( |  | ) | const
| inline

Definition at line 6478 of file random.h.

## ◆ intervals()

template<typename _RealType = double>

std::vector< _RealType > std::piecewise_constant_distribution< _RealType >::param_type::intervals | ( |  | ) | const
| inline

Definition at line 6465 of file random.h.

## Friends And Related Symbol Documentation

## ◆ operator==

template<typename _RealType = double>

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2 )
| friend

Definition at line 6482 of file random.h.

## ◆ piecewise_constant_distribution< _RealType >

template<typename _RealType = double>

friend class piecewise_constant_distribution< _RealType >
| friend

Definition at line 6441 of file random.h.

The documentation for this struct was generated from the following files:

- random.h
- bits/random.tcc